1. Auth
OpenAPI space
  • APIs
    • Retrieves a list of currently defined APIs in API meta list format.
      GET
    • Retrieves an API meta listing of all APIs defined for this owner
      GET
    • Deletes the specified API
      DELETE
    • Retrieves an API meta listing for all API versions for this owner and API
      GET
    • Saves the provided Swagger definition
      POST
    • Deletes a particular version of the specified API
      DELETE
    • Publish a particular version of the specified API
      POST
    • Retrieves the Swagger definition for the specified API and version in JSON format
      GET
    • Retrieves the Swagger definition for the specified API and version in YAML format
      GET
  • Auth
    • Log in to OpenAPI space
      POST
    • Log in to OpenAPI space using an APInf account
      POST
    • Log in to OpenAPI space using an APInf authentication token
      POST
    • Log out from OpenAPI space
      POST
    • Check whether or not you are authenticated
      POST
    • Register to OpenAPI space
      POST
  • Schemas
    • Schemas
      • APIMeta
      • APIMetaList
      • Credentials
      • LoginToken
      • Registration
  1. Auth

Register to OpenAPI space

POST
/auth/register

Request

Body Params application/json

Examples

Responses

🟢200registration successful
application/json
Bodyapplication/json

🟠409username or email taken
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://openapi.space/api/v1/auth/register' \
--header 'Content-Type: application/json' \
--data '{
    "password": "string",
    "username": "string",
    "email": "string"
}'
Response Response Example
200 - Example 1
{
    "token": "string",
    "username": "string"
}
Modified at 2023-08-15 10:35:02
Previous
Check whether or not you are authenticated
Next
APIMeta
Built with